Name:           tcputils
Version:        0.6.2
Release:        7%{?dist}
Summary:        Utilities for TCP programming in shell-scripts

Group:          Development/Tools
License:        Public Domain
URL:            ftp://ftp.lysator.liu.se/pub/unix/tcputils
Source0:        ftp://ftp.lysator.liu.se/pub/unix/%{name}/%{name}-%{version}.tar.gz
Patch0:         tcputils-0.6.2-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  
#Requires:       

%description
This is a collection of programs to facilitate TCP programming in 
shell-scripts. There is also a small library which makes it somewhat 
easier to create TCP/IP sockets.

%prep
%setup -q
%patch0 -p1 -b .orig


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
chmod 0644 $RPM_BUILD_ROOT%{_mandir}/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/getpeername
%{_bindir}/mini-inetd
%{_bindir}/tcpbug
%{_bindir}/tcpconnect
%{_bindir}/tcplisten
%{_mandir}/man1/getpeername.1.gz
%{_mandir}/man1/mini-inetd.1.gz
%{_mandir}/man1/tcpbug.1.gz
%{_mandir}/man1/tcpconnect.1.gz
%{_mandir}/man1/tcplisten.1.gz


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild


* Sat Sep  6 2008 Allisson Azevedo <allisson@gmail.com> 0.6.2-4
- Rebuild for F-10

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6.2-3
- Autorebuild for GCC 4.3

* Fri Oct 19 2007 Allisson Azevedo <allisson@gmail.com> 0.6.2-2
- Keep timestamps on man files

* Fri Oct 19 2007 Allisson Azevedo <allisson@gmail.com> 0.6.2-1
- Initial RPM release
